import type { Handle } from '@sveltejs/kit';

import { API_URL } from '$env/static/private';

import type { User } from '$lib/types';

export const handle: Handle = async ({ event, resolve }) => {

	const session = event.cookies.get('session');

	if (!session) {
		event.locals.user = null;
		return resolve(event);
	}

	const res = await fetch(`${API_URL}/player/`, {
		headers: {
			Authorization: `Bearer ${session}`
		}
	});

	if (!res.ok) {
		event.locals.user = null;
		event.cookies.delete('session', { path: '/' });
		return resolve(event);
	}

	const user: User = await res.json();
	event.locals.user = user;

	return resolve(event);
};
